
Redmine - Defect #2601

TOC does not parse wiki page reference links with description

2009-01-27 19:43 - Lane Roathe

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

The TOC parse will correctly take this entry and create a TOC line:

h3. [ [gui] ]

but will take this entry:

h3. [ [gui|GUI Proposal] ]

And display gui|GUI Proposal instead of GUI Proposal.    

Note: spaces between [ chars added to avoid parse creating links instead of displaying source.

Associated revisions

Revision 2336 - 2009-01-29 17:33 - Jean-Philippe Lang

Fixed: TOC does not parse wiki page reference links with description (#2601).

History

#1 - 2009-01-29 17:54 - Jean-Philippe Lang

- Category set to Wiki

- Status changed from New to Closed

- Target version set to 0.9.0

- Affected version (unused) set to 0.8.0

- Resolution set to Fixed

Fixed in r2337.
